## ublock-origin 1.55.0+dfsg

=== Makefile ===
# https://stackoverflow.com/a/6273809
run_options := $(filter-out $@,$(MAKECMDGOALS))

.PHONY: all clean test lint chromium opera firefox npm dig mv3 mv3-quick \
	compare maxcost medcost mincost modifiers record wasm

sources := $(wildcard assets/* assets/*/* dist/version src/* src/*/* src/*/*/* src/*/*/*/*)
platform := $(wildcard platform/* platform/*/* platform/*/*/* platform/*/*/*/* platform/*/*/*/*/*)
assets := dist/build/uAssets

all: chromium firefox npm

dist/build/uBlock0.chromium: tools/make-chromium.sh $(sources) $(platform) $(assets)
	tools/make-chromium.sh

# Build the extension for Chromium.
chromium: dist/build/uBlock0.chromium

dist/build/uBlock0.opera: tools/make-opera.sh $(sources) $(platform) $(assets)
	tools/make-opera.sh

# Build the extension for Opera.
opera: dist/build/uBlock0.opera

dist/build/uBlock0.firefox: tools/make-firefox.sh $(sources) $(platform) $(assets)
	tools/make-firefox.sh all

# Build the extension for Firefox.
firefox: dist/build/uBlock0.firefox

dist/build/uBlock0.npm: tools/make-nodejs.sh $(sources) $(platform) $(assets)
	tools/make-npm.sh

# Build the Node.js package.
npm: dist/build/uBlock0.npm

lint: npm
	cd dist/build/uBlock0.npm && npm run lint

test: npm
	cd dist/build/uBlock0.npm && npm run test

test-full-battery: npm
	cd dist/build/uBlock0.npm && npm run test-full-battery

check-leaks: npm
	cd dist/build/uBlock0.npm && npm run check-leaks

dist/build/uBlock0.dig: tools/make-nodejs.sh $(sources) $(platform) $(assets)
	tools/make-dig.sh

dig: dist/build/uBlock0.dig
	cd dist/build/uBlock0.dig && npm install

dig-snfe: dig
	cd dist/build/uBlock0.dig && npm run snfe $(run_options)

mv3-chromium: tools/make-mv3.sh $(sources) $(platform)
	tools/make-mv3.sh chromium

mv3-firefox: tools/make-mv3.sh $(sources) $(platform)
	tools/make-mv3.sh firefox

mv3-quick: tools/make-mv3.sh $(sources) $(platform)
	tools/make-mv3.sh quick

mv3-full: tools/make-mv3.sh $(sources) $(platform)
	tools/make-mv3.sh full

dist/build/uAssets:
	tools/pull-assets.sh

clean:
	rm -rf dist/build tmp/node_modules


# Not real targets, just convenient for auto-completion at shell prompt
compare:
	@echo
maxcost:
	@echo
medcost:
	@echo
mincost:
	@echo
modifiers:
	@echo
record:
	@echo
wasm:
	@echo

=== uAssets/Makefile ===
.PHONY: \
	clean \
	validate-filters \
	validate-filters-2020 \
	validate-filters-2021 \
	validate-filters-2022 \
	validate-filters-2023 \
	validate-privacy \
	validate-annoyances \
	validate-badware \
	validate-ubol-filters

build/validate/validate.js: tools/validate/validate.js tools/validate/config.js
	cp -R tools/validate/* build/validate/

build/validate/uBlock:
	tools/make-validate.sh

build/validate/results/filters.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/filters.txt \
		out=build/validate/results

build/validate/results/filters-2020.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/filters-2020.txt \
		out=build/validate/results

build/validate/results/filters-2021.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/filters-2021.txt \
		out=build/validate/results

build/validate/results/filters-2022.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/filters-2022.txt \
		out=build/validate/results

build/validate/results/filters-2023.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/filters-2023.txt \
		out=build/validate/results

build/validate/results/privacy.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/privacy.txt \
		out=build/validate/results

build/validate/results/annoyances.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/annoyances.txt \
		out=build/validate/results

build/validate/results/badware.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/badware.txt \
		out=build/validate/results

build/validate/results/ubol-filters.results.txt: build/validate/uBlock build/validate/validate.js
	node build/validate/validate.js \
		in=filters/ubol-filters.txt \
		out=build/validate/results

validate-filters: build/validate/results/filters.results.txt

validate-filters-2020: build/validate/results/filters-2020.results.txt

validate-filters-2021: build/validate/results/filters-2021.results.txt

validate-filters-2022: build/validate/results/filters-2022.results.txt

validate-filters-2023: build/validate/results/filters-2023.results.txt

validate-privacy: build/validate/results/privacy.results.txt

validate-annoyances: build/validate/results/annoyances.results.txt

validate-badware: build/validate/results/badware.results.txt

validate-ubol-filters: build/validate/results/ubol-filters.results.txt

clean:
	rm -rf build

=== debian/changelog ===
ublock-origin (1.55.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.55.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Jan 2024 21:18:52 +0100

ublock-origin (1.54.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.54.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Dec 2023 19:00:28 +0100

ublock-origin (1.53.3rc0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.53.3rc0+dfsg. (Closes: #1055315)

 -- Markus Koschany <apo@debian.org>  Fri, 10 Nov 2023 05:24:39 +0100

ublock-origin (1.52.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.52.0+dfsg. (Closes: #1052658)

 -- Markus Koschany <apo@debian.org>  Wed, 27 Sep 2023 01:39:18 +0200

ublock-origin (1.51.0+dfsg-2) unstable; urgency=medium

  * Replace js-beautify and csstree Javascript libraries with system libraries.
    Document the licenses of js-beautify, csstree and hsluv in debian/copyright.
    Add the missing source file of hsluv.js to debian/missing-sources.
    Thanks to Bastien Roucariès for the report. (Closes: #1042757)

 -- Markus Koschany <apo@debian.org>  Sat, 19 Aug 2023 01:01:05 +0200

=== debian/control ===
Source: ublock-origin
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 binaryen,
 debhelper-compat (= 13),
 nodejs,
 node-css-tree,
 node-js-beautify,
 python3,
 wabt
Standards-Version: 4.6.2
Homepage: https://github.com/gorhill/uBlock
Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

Package: ublock-origin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: lightweight and efficient ads, malware, trackers blocker (docs)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package contains larger files that are part of µBlock's documentation.

Package: webext-ublock-origin-firefox
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 firefox | firefox-esr
Suggests:
 ublock-origin-doc
Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Firefox version of the addon.

Package: webext-ublock-origin-chromium
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 chromium
Suggests:
 ublock-origin-doc
Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Chromium version of the addon.

## ublock-origin 1.55.0+dfsg-1trisquel1

=== debian/changelog ===
ublock-origin (1.55.0+dfsg-1trisquel1) ecne; urgency=medium

  * Avoid recommend non-free browser options.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:38:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ublock-origin
 Section: web
 Priority: optional
-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
@@ -39,17 +39,17 @@
 Depends:
  ${misc:Depends}
 Recommends:
- firefox | firefox-esr
+ abrowser | icecat
 Suggests:
  ublock-origin-doc
-Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
+Description: lightweight and efficient ads, malware, trackers blocker (Abrowser)
  uBlock is a small footprint blocker for against web ads, malware, trackers,
  analytics and similar invasive items.
  .
  Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
  having a smaller memory and CPU footprint.
  .
- This package provides the Firefox version of the addon.
+ This package provides the Abrowser version of the addon.
 
 Package: webext-ublock-origin-chromium
 Architecture: all
@@ -57,14 +57,14 @@
 Depends:
  ${misc:Depends}
 Recommends:
- chromium
+ ungoogled-chromium
 Suggests:
  ublock-origin-doc
-Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
+Description: lightweight and efficient ads, malware, trackers blocker (Ungoogled-Chromium)
  uBlock is a small footprint blocker for against web ads, malware, trackers,
  analytics and similar invasive items.
  .
  Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
  having a smaller memory and CPU footprint.
  .
- This package provides the Chromium version of the addon.
+ This package provides the Ungoogled-Chromium version of the addon.

## ublock-origin 1.57.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # https://stackoverflow.com/a/6273809
 run_options := $(filter-out $@,$(MAKECMDGOALS))
 
-.PHONY: all clean test lint chromium opera firefox npm dig mv3 mv3-quick \
+.PHONY: all clean cleanassets test lint chromium opera firefox npm dig mv3 mv3-quick \
 	compare maxcost medcost mincost modifiers record wasm
 
 sources := $(wildcard assets/* assets/*/* dist/version src/* src/*/* src/*/*/* src/*/*/*/*)
@@ -73,6 +73,8 @@
 clean:
 	rm -rf dist/build tmp/node_modules
 
+cleanassets:
+	rm -rf dist/build/mv3-data dist/build/uAssets
 
 # Not real targets, just convenient for auto-completion at shell prompt
 compare:

=== debian/changelog ===
ublock-origin (1.57.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.57.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Apr 2024 16:19:34 +0200

## ublock-origin 1.60.0+dfsg

=== debian/changelog ===
ublock-origin (1.60.0+dfsg-1parrot1) lory; urgency=medium

  * Import new Debian Testing release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 23 Oct 2024 14:57:38 +0200

ublock-origin (1.60.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.60.0+dfsg. (Closes: #1078943)

 -- Markus Koschany <apo@debian.org>  Wed, 02 Oct 2024 09:10:25 +0200

ublock-origin (1.54.0+dfsg-1parrot1) lory; urgency=medium

  * Import new Debian testing release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 28 Dec 2023 08:15:53 +0100

## ublock-origin 1.62.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # https://stackoverflow.com/a/6273809
 run_options := $(filter-out $@,$(MAKECMDGOALS))
 
-.PHONY: all clean cleanassets test lint chromium opera firefox npm dig mv3 mv3-quick \
+.PHONY: all clean cleanassets test lint chromium opera firefox npm dig \
+	mv3 mv3-quick mv3-chromium mv3-firefox \
 	compare maxcost medcost mincost modifiers record wasm
 
 sources := $(wildcard assets/* assets/*/* dist/version src/* src/*/* src/*/*/* src/*/*/*/*)
@@ -55,11 +56,15 @@
 dig-snfe: dig
 	cd dist/build/uBlock0.dig && npm run snfe $(run_options)
 
-mv3-chromium: tools/make-mv3.sh $(sources) $(platform)
+dist/build/uBOLite.chromium: tools/make-mv3.sh $(sources) $(platform)
 	tools/make-mv3.sh chromium
 
-mv3-firefox: tools/make-mv3.sh $(sources) $(platform)
+mv3-chromium: dist/build/uBOLite.chromium
+
+dist/build/uBOLite.firefox: tools/make-mv3.sh $(sources) $(platform)
 	tools/make-mv3.sh firefox
+
+mv3-firefox: dist/build/uBOLite.firefox
 
 mv3-quick: tools/make-mv3.sh $(sources) $(platform)
 	tools/make-mv3.sh quick

=== debian/changelog ===
ublock-origin (1.62.0+dfsg-0+deb9u2) stretch-security; urgency=medium

  * Restore transitional package webext-ublock-origin.

 -- Markus Koschany <apo@debian.org>  Thu, 12 Jun 2025 14:36:49 +0200

ublock-origin (1.62.0+dfsg-0+deb9u1) stretch-security; urgency=medium

  * Backport 1.62.0+dfsg to stretch to improve user experience and ad filter
    capabilities.
  * Fix CVE-2025-4215:
    A remote attacker could abuse an inefficient regular expression in
    ublock-origin's filters to cause a denial-of-service and freeze a web
    browser. (Closes: #1104635)

 -- Markus Koschany <apo@debian.org>  Tue, 10 Jun 2025 17:15:46 +0200

ublock-origin (1.62.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.62.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Feb 2025 19:20:16 +0100

=== debian/control ===
Source: ublock-origin
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 debhelper (>= 9),
 python3
Standards-Version: 4.7.0
Homepage: https://github.com/gorhill/uBlock
Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

Package: ublock-origin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: lightweight and efficient ads, malware, trackers blocker (docs)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package contains larger files that are part of µBlock's documentation.

Package: webext-ublock-origin-firefox
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 firefox | firefox-esr
Suggests:
 ublock-origin-doc
Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Firefox version of the addon.

Package: webext-ublock-origin-chromium
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 chromium
Suggests:
 ublock-origin-doc
Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Chromium version of the addon.

Package: webext-ublock-origin
Architecture: all
Depends:
 webext-ublock-origin-chromium,
 webext-ublock-origin-firefox,
 ${misc:Depends}
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed. Please install
 webext-ublock-origin-firefox or webext-ublock-origin-chromium instead.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Compile the WebAssembly code from source
#	find . -name "*.wasm" -delete
#	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
#	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
#	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
#	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
#	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
	# node-css-tree is not in bullseye, using embedded version instead
	# Replace embedded copy of csstree.esm.js with corresponding Debian file from src:node-css-tree
	#cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
	# Replace embedded copy of js-beautify with Debian's system library node-js-beautify
#	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
	# Use the existing minified asset filters because bullseye lacks the
	# fs/promise module from nodejs
	# Build the minified asset filters
	#cd uAssets && ./tools/make-ublock.sh
	cp debian/filters/* uAssets/filters/
	# Build the browser-specific versions of ublock-origin
	./tools/make-firefox.sh
	./tools/make-chromium.sh

override_dh_install:
	dh_install -p ublock-origin-doc
	dh_install -p webext-ublock-origin-firefox -X LICENSE.txt
	dh_install -p webext-ublock-origin-chromium -X LICENSE.txt

override_dh_auto_test:
	# Skip the tests

override_dh_auto_clean:
	./tools/make-clean.sh

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog.html debian/upstream/changelog

.PHONY: get-orig-changelog
get-orig-changelog:
	amo-changelog -p rst ublock-origin

## ublock-origin 1.67.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,17 @@
 
 override_dh_auto_build:
 	# Compile the WebAssembly code from source
-#	find . -name "*.wasm" -delete
-#	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
-#	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
-#	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
-#	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
-#	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
+	find . -name "*.wasm" -delete
+	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
+	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
+	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
+	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
+	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
 	# node-css-tree is not in bullseye, using embedded version instead
 	# Replace embedded copy of csstree.esm.js with corresponding Debian file from src:node-css-tree
 	#cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
 	# Replace embedded copy of js-beautify with Debian's system library node-js-beautify
-#	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
+	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
 	# Use the existing minified asset filters because bullseye lacks the
 	# fs/promise module from nodejs
 	# Build the minified asset filters

## ublock-origin 1.67.0+dfsg

=== Makefile ===
# https://stackoverflow.com/a/6273809
run_options := $(filter-out $@,$(MAKECMDGOALS))

.PHONY: all clean cleanassets test lint chromium opera firefox npm dig \
	mv3-chromium mv3-firefox mv3-edge mv3-safari ubol-codemirror \
	compare maxcost medcost mincost modifiers record wasm \
	publish-chromium publish-edge publish-firefox \
	publish-dev-chromium publish-dev-firefox \
	upload-firefox upload-dev-firefox

sources := ./dist/version $(shell find ./assets -type f) $(shell find ./src -type f)
platform := $(wildcard platform/*/*)
assets := dist/build/uAssets
mv3-sources := \
	$(shell find ./src -type f) \
	$(wildcard platform/mv3/*) \
	$(shell find ./platform/mv3/extension -name codemirror-ubol -prune -o -type f) \
	platform/mv3/extension/lib/codemirror/codemirror-ubol/dist/cm6.bundle.ubol.min.js
mv3-data := $(shell find ./dist/build/mv3-data -type f)

mv3-edge-deps := $(wildcard platform/mv3/edge/*)
mv3-safari-deps := $(wildcard platform/mv3/safari/*)

all: chromium firefox npm

dist/build/uBlock0.chromium: tools/make-chromium.sh $(sources) $(platform) $(assets)
	tools/make-chromium.sh

# Build the extension for Chromium.
chromium: dist/build/uBlock0.chromium

dist/build/uBlock0.opera: tools/make-opera.sh $(sources) $(platform) $(assets)
	tools/make-opera.sh

# Build the extension for Opera.
opera: dist/build/uBlock0.opera

dist/build/uBlock0.firefox: tools/make-firefox.sh $(sources) $(platform) $(assets)
	tools/make-firefox.sh all

# Build the extension for Firefox.
firefox: dist/build/uBlock0.firefox

dist/build/uBlock0.npm: tools/make-nodejs.sh $(sources) $(platform) $(assets)
	tools/make-npm.sh

npm: dist/build/uBlock0.npm

# Dev tools
node_modules:
	npm install

init: node_modules

lint: init
	npm run lint

dist/build/uBlock0.dig: tools/make-nodejs.sh $(sources) $(platform) $(assets)
	tools/make-dig.sh

dig: dist/build/uBlock0.dig
	cd dist/build/uBlock0.dig && npm install

dig-snfe: dig
	cd dist/build/uBlock0.dig && npm run snfe $(run_options)

dist/build/mv3-data:
	mkdir -p dist/build/mv3-data

ubol-codemirror:
	$(MAKE) -sC platform/mv3/extension/lib/codemirror/codemirror-ubol/ ubol.bundle

dist/build/uBOLite.chromium: tools/make-mv3.sh $(mv3-sources) $(platform) $(mv3-data) dist/build/mv3-data
	tools/make-mv3.sh chromium

mv3-chromium: ubol-codemirror dist/build/uBOLite.chromium

dist/build/uBOLite.firefox: tools/make-mv3.sh $(mv3-sources) $(platform) $(mv3-data) dist/build/mv3-data
	tools/make-mv3.sh firefox

mv3-firefox: ubol-codemirror dist/build/uBOLite.firefox

dist/build/uBOLite.edge: tools/make-mv3.sh $(mv3-sources) $(mv3-edge-deps) $(mv3-data) dist/build/mv3-data
	tools/make-mv3.sh edge

mv3-edge: ubol-codemirror dist/build/uBOLite.edge

dist/build/uBOLite.safari: tools/make-mv3.sh $(mv3-sources) $(mv3-safari-deps) $(mv3-data) dist/build/mv3-data
	tools/make-mv3.sh safari

mv3-safari: ubol-codemirror dist/build/uBOLite.safari

dist/build/uAssets:
	tools/pull-assets.sh

clean:
	rm -rf dist/build tmp/node_modules node_modules

cleanassets:
	rm -rf dist/build/mv3-data dist/build/uAssets

# Usage: make publish-publish version=?
publish-chromium:
	node publish-extension/publish-chromium.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=chromium \
		storeid=cjpalhdlnbpafiamejdnhcphjbkeiagm

# Usage: make publish-edge version=?
publish-edge:
	node publish-extension/publish-edge.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=chromium \
		datebasedmajor=1 \
		storeid=odfafepnkmbhccpbejgmiehpchacaeak \
		productid=$(shell secret-tool lookup token ubo_edge_id)

# Usage: make publish-firefox version=?
publish-firefox:
	node publish-extension/publish-firefox.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=firefox \
		storeid=uBlock0@raymondhill.net \
		channel=listed

# Usage: make publish-dev-chromium version=?
publish-dev-chromium:
	node publish-extension/publish-chromium.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=chromium \
		storeid=cgbcahbpdhpcegmbfconppldiemgcoii

# Usage: make publish-dev-firefox version=?
publish-dev-firefox:
	node publish-extension/publish-firefox.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=firefox \
		storeid=uBlock0@raymondhill.net \
		channel=unlisted \
		updatepath=./dist/firefox/updates.json

# Usage: make upload-firefox version=?
upload-firefox:
	node publish-extension/upload-firefox.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=firefox \
		storeid=uBlock0@raymondhill.net \
		channel=listed

# Usage: make upload-dev-firefox version=?
upload-dev-firefox:
	node publish-extension/upload-firefox.js \
		ghowner=gorhill \
		ghrepo=uBlock \
		ghtag=$(version) \
		ghasset=firefox \
		storeid=uBlock0@raymondhill.net \
		channel=unlisted \
		updatepath=./dist/firefox/updates.json

# Not real targets, just convenient for auto-completion at shell prompt
compare:
	@echo
maxcost:
	@echo
medcost:
	@echo
mincost:
	@echo
modifiers:
	@echo
record:
	@echo
wasm:
	@echo

=== uAssets/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	validate-filters-2021 \
 	validate-filters-2022 \
 	validate-filters-2023 \
+	validate-filters-2024 \
 	validate-privacy \
 	validate-annoyances \
 	validate-badware \
@@ -41,6 +42,11 @@
 		in=filters/filters-2023.txt \
 		out=build/validate/results
 
+build/validate/results/filters-2024.results.txt: build/validate/uBlock build/validate/validate.js
+	node build/validate/validate.js \
+		in=filters/filters-2024.txt \
+		out=build/validate/results
+
 build/validate/results/privacy.results.txt: build/validate/uBlock build/validate/validate.js
 	node build/validate/validate.js \
 		in=filters/privacy.txt \
@@ -71,6 +77,8 @@
 
 validate-filters-2023: build/validate/results/filters-2023.results.txt
 
+validate-filters-2024: build/validate/results/filters-2024.results.txt
+
 validate-privacy: build/validate/results/privacy.results.txt
 
 validate-annoyances: build/validate/results/annoyances.results.txt

=== debian/changelog ===
ublock-origin (1.67.0+dfsg-1~deb13u1) trixie; urgency=medium

  * Backport version 1.67.0 to trixie to improve user experience and add new
    filter capabilities.

 -- Markus Koschany <apo@debian.org>  Fri, 31 Oct 2025 14:56:50 +0100

ublock-origin (1.67.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.67.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Oct 2025 21:37:39 +0200

ublock-origin (1.62.0+dfsg-2) unstable; urgency=medium

  * Fix CVE-2025-4215:
    A remote attacker could abuse an inefficient regular expression in
    ublock-origin's filters to cause a denial-of-service and freeze a web
    browser. (Closes: #1104635)

 -- Markus Koschany <apo@debian.org>  Tue, 10 Jun 2025 17:49:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,12 @@
 	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
 	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
 	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
-	# node-css-tree is not in bullseye, using embedded version instead
 	# Replace embedded copy of csstree.esm.js with corresponding Debian file from src:node-css-tree
-	#cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
+	cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
 	# Replace embedded copy of js-beautify with Debian's system library node-js-beautify
 	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
-	# Use the existing minified asset filters because bullseye lacks the
-	# fs/promise module from nodejs
 	# Build the minified asset filters
-	#cd uAssets && ./tools/make-ublock.sh
-	cp debian/filters/* uAssets/filters/
+	cd uAssets && ./tools/make-ublock.sh
 	# Build the browser-specific versions of ublock-origin
 	./tools/make-firefox.sh
 	./tools/make-chromium.sh

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,uversionmangle=s/-beta/~beta/;s/-rc/~rc/ \
https://github.com/gorhill/uBlock/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
